> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Age

> The user uploads a face picture, based on the face editing and generation algorithm, outputs a picture of the face getting older or younger, and supports the change of the face at different ages.



## OpenAPI

````yaml /openapi/face-change.json post /face/change-age
openapi: 3.0.0
info:
  title: Face Transformation
  version: 1.0.0
  description: API reference for Face Transformation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /face/change-age:
    post:
      summary: Change Age
      description: >-
        The user uploads a face picture, based on the face editing and
        generation algorithm, outputs a picture of the face getting older or
        younger, and supports the change of the face at different ages.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Face Change Age Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
                - age_infos
              properties:
                age_infos:
                  type: array
                  items:
                    type: object
                    required:
                      - age
                    properties:
                      age:
                        type: number
                        description: Face Change Age Age Infos Age
                    description: Face Change Age Age Infos
                image_url:
                  type: string
                  description: Face Change Age Image Url
            example:
              image_url: https://cdn.acedata.cloud/4hfydw.jpg
              age_infos:
                - age: 30
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  image_url: >-
                    https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/ft/ChangeAgePic/1256437459/f522c681-7e82-46d5-a68f-4c89e91e4df2
                properties:
                  image_url:
                    type: string
                    description: Face Change Age Response 200 Image Url
          description: Face Change Age Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Face Change Age Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Face Change Age Response 400 Error Message
                      trace_id:
                        type: string
                        description: Face Change Age Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Face Change Age Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Face Change Age Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Face Change Age Response 400 Trace Id 2
          description: Face Change Age Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Face Change Age Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Face Change Age Response 401 Error Message
                      trace_id:
                        type: string
                        description: Face Change Age Response 401 Trace Id
          description: Face Change Age Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Face Change Age Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Face Change Age Response 429 Error Message
                      trace_id:
                        type: string
                        description: Face Change Age Response 429 Trace Id
          description: Face Change Age Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Face Change Age Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Face Change Age Response 500 Error Message
                      trace_id:
                        type: string
                        description: Face Change Age Response 500 Trace Id
          description: Face Change Age Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````